Summary: chdir for DOS and Unix
Name: wcd
Version: 5.1.5
Release: 1
Group: Applications/File
URL: http://www.xs4all.nl/~waterlan/
License: GPL
Source0: %{name}-%{version}-src.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: make, coreutils, gettext, perl >= 5.8.8
Requires: gettext

%description
Wcd.   Directory changer for DOS and Unix.  Another Norton
Change Directory (NCD) clone.

Wcd is a program to change directory fast. It  saves  time
typing at the keyboard. One needs to type only a part of a
directory name and wcd will jump to it.  Wcd  has  a  fast
selection  method  in  case of multiple matches and allows
aliasing and banning of directories. Wcd also  includes  a
full-screen interactive directory tree browser with  speed
search.


%prep
%setup -q
%patch0


%build
# we need a newer perl
export PATH=/opt/freeware/bin:$PATH

gmake -C src PREFIX=%{_prefix} %{?_smp_mflags}


%install
export PATH=/opt/freeware/bin:$PATH

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake -C src install DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_prefix}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  mkdir -p usr/bin
  cd usr/bin
  ln -sf ../..%{_bindir}/* .
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc doc/README.txt doc/wcd.txt
%doc doc/copying.txt doc/faq.txt
%doc doc/problems.txt doc/whatsnew.txt
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Tue Jun 07 2011 Michael Perzl <michael@perzl.org> - 5.1.5-1
- updated to version 5.1.5

* Wed Dec 01 2010 Michael Perzl <michael@perzl.org> - 5.1.4-1
- updated to version 5.1.4

* Fri Nov 05 2010 Michael Perzl <michael@perzl.org> - 5.1.3-1
- updated to version 5.1.3

* Tue Jul 06 2010 Michael Perzl <michael@perzl.org> - 5.1.2-2
- removed dependency on gettext >= 0.17

* Tue May 25 2010 Michael Perzl <michael@perzl.org> - 5.1.2-1
- updated to version 5.1.2

* Wed Feb 17 2010 Michael Perzl <michael@perzl.org> - 5.1.1-1
- first version for AIX V5.1 and higher
